<web-app xmlns="http://java.sun.com/xml/ns/javaee"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd"
         version="3.0">
    <display-name>Web Lab 2</display-name>

    <servlet>
        <servlet-name>ControllerServlet</servlet-name>
        <servlet-class>ru.lanolin.app.controller.ControllerServlet</servlet-class>
    </servlet>
    <servlet-mapping>
        <servlet-name>ControllerServlet</servlet-name>
        <url-pattern>/</url-pattern>
    </servlet-mapping>

    <servlet>
        <servlet-name>AreaCheckServlet</servlet-name>
        <servlet-class>ru.lanolin.app.controller.AreaCheckServlet</servlet-class>
    </servlet>
    <servlet-mapping>
        <servlet-name>AreaCheckServlet</servlet-name>
        <url-pattern>/areaCheck</url-pattern>
    </servlet-mapping>

    <servlet-mapping>
        <servlet-name>default</servlet-name>
        <url-pattern>*.jpg</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>default</servlet-name>
        <url-pattern>*.png</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>default</servlet-name>
        <url-pattern>*.css</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>default</servlet-name>
        <url-pattern>main.js</url-pattern>
    </servlet-mapping>

    <filter>
        <filter-name>MethodFilter</filter-name>
        <filter-class>ru.lanolin.app.filters.MethodFilter</filter-class>
    </filter>
    <filter-mapping>
        <filter-name>MethodFilter</filter-name>
        <url-pattern>/areaCheck</url-pattern>
    </filter-mapping>

    <filter>
        <filter-name>NewPointFilter</filter-name>
        <filter-class>ru.lanolin.app.filters.NewPointFilter</filter-class>
    </filter>
    <filter-mapping>
        <filter-name>NewPointFilter</filter-name>
        <url-pattern>/areaCheck</url-pattern>
    </filter-mapping>

    <filter>
        <filter-name>ChangeRFilter</filter-name>
        <filter-class>ru.lanolin.app.filters.ChangeRFilter</filter-class>
    </filter>
    <filter-mapping>
        <filter-name>ChangeRFilter</filter-name>
        <url-pattern>/areaCheck</url-pattern>
    </filter-mapping>

    <error-page>
        <exception-type>java.lang.Exception</exception-type>
        <location>/views/errors/javaErrors.jsp</location>
    </error-page>
    <error-page>
        <error-code>422</error-code>
        <location>/views/errors/4xx.jsp</location>
    </error-page>
    <error-page>
        <error-code>405</error-code>
        <location>/views/errors/4xx.jsp</location>
    </error-page>
    <error-page>
        <error-code>406</error-code>
        <location>/views/errors/4xx.jsp</location>
    </error-page>

</web-app>
